Debian Bug report logs - #591193
adzapper: does not build .swf files from source

version graph

Package: src:adzapper; Maintainer for src:adzapper is Ludovic Drolez <ldrolez@debian.org>;

Reported by: Raphael Geissert <geissert@debian.org>

Date: Sun, 1 Aug 2010 04:15:02 UTC

Severity: serious

Tags: patch

Found in version adzapper/20090301-1

Fixed in version adzapper/20090301.dfsg.1-0.1

Done: Alexander Reichle-Schmehl <tolimar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#591193; Package src:adzapper. (Sun, 01 Aug 2010 04:15:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: adzapper: does not build .swf files from source
Date: Sat, 31 Jul 2010 23:24:52 -0400
Source: adzapper
Version: 20090301-1
Severity: serious

Hi,

adzapper includes two .swf files which are not built from source (I didn't even 
check if there was one.)

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#591193; Package src:adzapper. (Thu, 05 Aug 2010 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.at>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Thu, 05 Aug 2010 10:48:03 GMT) Full text and rfc822 format available.

Message #8 received at 591193@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: 591197@bugs.debian.org, 591193@bugs.debian.org, 591194@bugs.debian.org, 591195@bugs.debian.org, 591199@bugs.debian.org, 591200@bugs.debian.org, 591201@bugs.debian.org, 591203@bugs.debian.org, 591205@bugs.debian.org, 591206@bugs.debian.org, 591207@bugs.debian.org, 591208@bugs.debian.org, 591209@bugs.debian.org, 591210@bugs.debian.org, 591383@bugs.debian.org
Subject: about not building swf files from source
Date: Thu, 5 Aug 2010 12:46:43 +0200
	Hi!

 The initial message about this issue was pretty terse and I hope to
offer additional information to you through this message.

 The issue your package is facing might be divided into two groups:
Packages that have the source to the .swf file available (like in .fla
or .as form from what I understood) and packages that don't.

 For those with the source included the package is facing to be
potential moved from main to contrib. This is because packages in main
are required to only need tools that are available in main to produce
their binaries from their sources, and there unfortunately aren't such
tools in main (yet, TTBOMK). So moving them to contrib is an option to
them for keeping them as they are.

 For those without source included they have to go either to non-free
(if their license allows binary distribution without source) or they
have to get removed from the pool in case they are licensed under
something like GPL or similar which requires the source to be available,
too.

 One option available to both groups of packages is of course to remove
the flash files all together, if that's an option for your package.

 Hope this helps you for your decision on how to move on. Thanks for
your support and effort for Debian in any case!

 Enjoy!
Rhonda
-- 
"Lediglich 11 Prozent der Arbeitgeber sind der Meinung, dass jeder
Mensch auch ein Privatleben haben sollte."
        -- http://www.karriere.at/artikel/884/




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#591193; Package src:adzapper. (Thu, 05 Aug 2010 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Thu, 05 Aug 2010 12:18:03 GMT) Full text and rfc822 format available.

Message #13 received at 591193@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Gerfried Fuchs <rhonda@debian.at>, 591193@bugs.debian.org
Cc: 591197@bugs.debian.org, 591194@bugs.debian.org, 591195@bugs.debian.org, 591199@bugs.debian.org, 591200@bugs.debian.org, 591201@bugs.debian.org, 591203@bugs.debian.org, 591205@bugs.debian.org, 591206@bugs.debian.org, 591207@bugs.debian.org, 591208@bugs.debian.org, 591209@bugs.debian.org, 591210@bugs.debian.org, 591383@bugs.debian.org
Subject: Re: Bug#591193: about not building swf files from source
Date: Thu, 5 Aug 2010 14:16:01 +0200
Hi!

* Gerfried Fuchs <rhonda@debian.at> [100805 12:46]:

> This is because packages in main are required to only need tools that
> are available in main to produce their binaries from their sources,
> and there unfortunately aren't such tools in main (yet, TTBOMK).

Citing from then #debian-ftp channel:

04:17:49 < raphael> dear ftp-masters, could you please make sure that NEW
      packages do _build_ the .swf files during the build process if they
      ship any? TIA
04:21:14 < Ganneff> would there be an easy way to check it?
04:24:59 < raphael> if they b-depend on haxe, mtasc, or swftools (if it
      gets uploaded again) they probably do
04:25:43 < dondelelcaro> probably can be a lintian check

So there seems to be three tools available.


Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#591193; Package src:adzapper. (Tue, 19 Oct 2010 16:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <mindboosternoori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Tue, 19 Oct 2010 16:24:02 GMT) Full text and rfc822 format available.

Message #18 received at 591193@bugs.debian.org (full text, mbox):

From: Marcos Marado <mindboosternoori@gmail.com>
To: 591193@bugs.debian.org
Subject: FYI
Date: Tue, 19 Oct 2010 17:22:06 +0100
Upstream doesn't provide the original source for this two swf's but:
1) since both are meant to be easilly redimensioned;
2) they are basicly one "blank" image, and another blank image with the 
    text "this ad zapped" in blue letters, and it doesn't really matter if 
    they don't look like the original;
it shouldn't be hard to provide replacements (with source code). Talking with 
upstream might also not be a bad idea. Unfortunately I don't know anything 
about flash, but I would suppose that this is a couple-of-minutes task for 
someone who knows how to do those thingies...

-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#591193; Package src:adzapper. (Wed, 20 Oct 2010 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Drolez <ldrolez@debian.org>:
Extra info received and forwarded to list. (Wed, 20 Oct 2010 20:15:03 GMT) Full text and rfc822 format available.

Message #23 received at 591193@bugs.debian.org (full text, mbox):

From: Ludovic Drolez <ldrolez@debian.org>
To: Marcos Marado <mindboosternoori@gmail.com>, 591193@bugs.debian.org
Subject: Re: Bug#591193: FYI
Date: Wed, 20 Oct 2010 21:33:01 +0200
Le Tuesday 19 October 2010 18:22:06 Marcos Marado, vous avez écrit :
> Upstream doesn't provide the original source for this two swf's but:
> 1) since both are meant to be easilly redimensioned;
> 2) they are basicly one "blank" image, and another blank image with the
>     text "this ad zapped" in blue letters, and it doesn't really matter if
>     they don't look like the original;
> it shouldn't be hard to provide replacements (with source code). Talking
> with upstream might also not be a bad idea. Unfortunately I don't know
> anything about flash, but I would suppose that this is a couple-of-minutes
> task for someone who knows how to do those thingies...

Yes, IIRC it's easy to create flash from perl scripts.
I might take a look at this.

Best regards,

-- 
Ludovic Drolez.

http://www.aopensource.com             - The Android Open Source Portal
http://www.drolez.com         - Personal site - Linux and Free Software




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#591193; Package src:adzapper. (Sat, 13 Nov 2010 16:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@crustynet.org.uk>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Sat, 13 Nov 2010 16:36:07 GMT) Full text and rfc822 format available.

Message #28 received at 591193@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@crustynet.org.uk>
To: 591193@bugs.debian.org
Cc: control@bugs.debian.org
Subject: perl script to regenerate the .swf files
Date: Sat, 13 Nov 2010 16:34:43 +0000
[Message part 1 (text/plain, inline)]
tags 591193 +patch
thanks

Please find attached a patch which uses libswf-perl to generate replacements
for ad.swf and ad-clear.swf. The resulting flash files are not exactly the
same as the originals, but as mentioned on the bugreport, that's probably
not a big issue.

-- 
Chris
[adzapper-generate-swf.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Chris Butler <chrisb@crustynet.org.uk> to control@bugs.debian.org. (Sat, 13 Nov 2010 16:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#591193; Package src:adzapper. (Tue, 16 Nov 2010 01:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <paulproteus@debian.org>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Tue, 16 Nov 2010 01:57:06 GMT) Full text and rfc822 format available.

Message #35 received at 591193@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <paulproteus@debian.org>
To: 591193@bugs.debian.org, cs@zip.com.au, 591193-submitter@bugs.debian.org
Subject: Replacing the bundled .swf files with source-available ones
Date: Mon, 15 Nov 2010 20:52:33 -0500 (EST)
Hello Cameron,

There's a bug filed in Debian against adzapper because the SWF files in 
the source tarball you ship don't have source code available. I'm emailing 
you to explain the problem in further detail, and to explain to you that 
we have a solution.

Take a look at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=591193 , 
in particular the comment toward the top by Gerfried Fuchs (Rhonda) that 
explains what it means to have source for SWF files.

Do you happen to have the .FLA or .AS files that were used to generate the 
SWF files you have in the adzapper package?

It's actually quite okay if not -- the extraordinary Chris Butler 
submitted a patch to the adzapper package (toward the bottom of the 
discussion) that uses a Perl library to generate the SWF files. So if you 
want, you can use that recipe to regenerate the SWF files you ship in your 
tarball.

The reason I bring all this up is that since Debian is committed to only 
shipping software compliant with the Debian Free Software Guidelines, it's 
considered a release-critical bug if we package and distribute things for 
which we do not have source code. So I wonder:

Is this something where you'd be willing to do a new release that uses SWF 
files generated by Chris Butler's code?

If you're willing to do that soon, then Debian will likely ship that 
version in squeeze, the upcoming release. If not, then Debian will likely 
carry a patch to use Chris's SWF files instead of the ones that you 
distribute in the tarball.

Hope you're well, and thanks for making and sharing adzapper!

-- Asheesh.




Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#591193. (Tue, 16 Nov 2010 01:57:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#591193; Package src:adzapper. (Wed, 17 Nov 2010 04:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cameron Simpson <cs@zip.com.au>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Wed, 17 Nov 2010 04:27:03 GMT) Full text and rfc822 format available.

Message #43 received at 591193@bugs.debian.org (full text, mbox):

From: Cameron Simpson <cs@zip.com.au>
To: Asheesh Laroia <paulproteus@debian.org>
Cc: 591193@bugs.debian.org, 591193-submitter@bugs.debian.org
Subject: Re: Replacing the bundled .swf files with source-available ones
Date: Wed, 17 Nov 2010 15:14:35 +1100
On 15Nov2010 20:52, Asheesh Laroia <paulproteus@debian.org> wrote:
| There's a bug filed in Debian against adzapper because the SWF files
| in the source tarball you ship don't have source code available. I'm
| emailing you to explain the problem in further detail, and to
| explain to you that we have a solution.
| 
| Take a look at
| http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=591193 , in
| particular the comment toward the top by Gerfried Fuchs (Rhonda)
| that explains what it means to have source for SWF files.
| 
| Do you happen to have the .FLA or .AS files that were used to
| generate the SWF files you have in the adzapper package?

Alas, no. They were donated. I could find the author. I think...

| It's actually quite okay if not -- the extraordinary Chris Butler
| submitted a patch to the adzapper package (toward the bottom of the
| discussion) that uses a Perl library to generate the SWF files. So
| if you want, you can use that recipe to regenerate the SWF files you
| ship in your tarball.
| 
| The reason I bring all this up is that since Debian is committed to
| only shipping software compliant with the Debian Free Software
| Guidelines, it's considered a release-critical bug if we package and
| distribute things for which we do not have source code. So I wonder:
| 
| Is this something where you'd be willing to do a new release that
| uses SWF files generated by Chris Butler's code?

Absolutely. As long as they closely resemble what's there now it's all
good.

| If you're willing to do that soon, then Debian will likely ship that
| version in squeeze, the upcoming release. If not, then Debian will
| likely carry a patch to use Chris's SWF files instead of the ones
| that you distribute in the tarball.
| 
| Hope you're well, and thanks for making and sharing adzapper!

Sahll I grab his patch from the bug and update my sources?

BTW, how are you staying up to date with this? I ask because SourceForge
broke my rsync-to-adzapper.sf.net and I haven't yet found a way to update
that page that doesn't involve a manual password entry for the ssh:-(

In consequence the web page is somewhat out of date and I need to fix
that. I can punt you the latest zapper by hand if you want it, also.

Cheers,
-- 
Cameron Simpson <cs@zip.com.au> DoD#743
http://www.cskk.ezoshosting.com/cs/

You can be psychotic and still be competent.
        - John L. Young, American Academy of Psychiatry and the Law on Ted
          Kaczynski, and probably most internet users




Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#591193. (Wed, 17 Nov 2010 04:27:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Thu, 25 Nov 2010 10:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#591193; Package src:adzapper. (Thu, 25 Nov 2010 10:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Thu, 25 Nov 2010 10:36:06 GMT) Full text and rfc822 format available.

Message #53 received at 591193@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 591193@bugs.debian.org
Subject: adzapper: diff for NMU version 20090301.dfsg.1-0.1
Date: Thu, 25 Nov 2010 11:26:19 +0100
[Message part 1 (text/plain, inline)]
tags 591193 + patch
tags 591193 + pending
thanks

Dear maintainer,

I've prepared an NMU for adzapper (versioned as 20090301.dfsg.1-0.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.
[adzapper-20090301.dfsg.1-0.1-nmu.diff (text/x-diff, attachment)]

Reply sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
You have taken responsibility. (Sat, 27 Nov 2010 10:51:07 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Sat, 27 Nov 2010 10:51:07 GMT) Full text and rfc822 format available.

Message #58 received at 591193-close@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 591193-close@bugs.debian.org
Subject: Bug#591193: fixed in adzapper 20090301.dfsg.1-0.1
Date: Sat, 27 Nov 2010 10:47:06 +0000
Source: adzapper
Source-Version: 20090301.dfsg.1-0.1

We believe that the bug you reported is fixed in the latest version of
adzapper, which is due to be installed in the Debian FTP archive:

adzapper_20090301.dfsg.1-0.1.diff.gz
  to main/a/adzapper/adzapper_20090301.dfsg.1-0.1.diff.gz
adzapper_20090301.dfsg.1-0.1.dsc
  to main/a/adzapper/adzapper_20090301.dfsg.1-0.1.dsc
adzapper_20090301.dfsg.1-0.1_all.deb
  to main/a/adzapper/adzapper_20090301.dfsg.1-0.1_all.deb
adzapper_20090301.dfsg.1.orig.tar.gz
  to main/a/adzapper/adzapper_20090301.dfsg.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591193@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl <tolimar@debian.org> (supplier of updated adzapper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 25 Nov 2010 11:18:33 +0100
Source: adzapper
Binary: adzapper
Architecture: source all
Version: 20090301.dfsg.1-0.1
Distribution: unstable
Urgency: low
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Changed-By: Alexander Reichle-Schmehl <tolimar@debian.org>
Description: 
 adzapper   - proxy advertisement zapper add-on
Closes: 591193
Changes: 
 adzapper (20090301.dfsg.1-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Apply patch by Chris Butler to generade zaps/ad-clear.swf and
     zaps/ad.swf on the fly
   * Remove these sourceless files from orig.tar.gz and document their
     removal
     (Closes: #591193)
Checksums-Sha1: 
 b62c9f757819e9583a592a24656a29d641fef4b7 1707 adzapper_20090301.dfsg.1-0.1.dsc
 68c2c1d9e91248002bf68160c73cd58e3db2b2d2 169660 adzapper_20090301.dfsg.1.orig.tar.gz
 cb9764d3673360bdda577bf2e606f1657533e458 730 adzapper_20090301.dfsg.1-0.1.diff.gz
 426227e6c330c08e7180a03f866a38ae6f4fcc14 66904 adzapper_20090301.dfsg.1-0.1_all.deb
Checksums-Sha256: 
 2f21a3c8fef86d18ef98a3bfd9ef718f195329119cde06452b9463943c2b2835 1707 adzapper_20090301.dfsg.1-0.1.dsc
 296d4bde9829781357163dd57a5d6c05ba2f79e58a7ccc3235aaa869d4be4610 169660 adzapper_20090301.dfsg.1.orig.tar.gz
 d393130d02766bca29445eb49e5d18e8788936a4b1d86b6ed03f30b62e7718b4 730 adzapper_20090301.dfsg.1-0.1.diff.gz
 992f992b7b32ca1ad2c374201dc3673a0cecd360bb5224f3fd08befd0cb03e6c 66904 adzapper_20090301.dfsg.1-0.1_all.deb
Files: 
 8d88f95738c5f3e22b295708431fedb9 1707 web optional adzapper_20090301.dfsg.1-0.1.dsc
 e1fc7f76dd5483d6f041dd5dc359b079 169660 web optional adzapper_20090301.dfsg.1.orig.tar.gz
 8e11149f64a13e4aa7b54104814ae3d3 730 web optional adzapper_20090301.dfsg.1-0.1.diff.gz
 14983a86a6e687b8b5cff696236353ae 66904 web optional adzapper_20090301.dfsg.1-0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM7jnqAAoJEMJLZaJnLIsSsmQP/j14EhPEnstFXFw/gnVwniRV
I5Xjy0DLS9jlO7mpBcOEAPkTEhTq8sWeY3wZcVu1EZP8YlItSnzS0/RDx+l2bhlk
K38eUYv718UVzDNsxDeQjoMB9ca43G4LjLhhrzczxOJb+iWADCWvF//vmQb45v7o
Xq6tYDK02+ueCthxpdVWpZjX5HypA64R1WcVYQjbExU1Zo343wkxMMfXmR4au6c4
rPsXeLDzvNbf6xGfhwB+HbC5jfNn+WVjP+QLsXeekh2O1YocVwbJoUSO87h/lzyE
ZTa8F5u7zRRFocgVEY0co7L7xtx8ArZqQ6gOvp4tmCOGUPy+SxDBUbVmC/JAWGMA
fTdg0GqY+J0BcZRz4wdlmnEGL/aI9B4JzL1WVJEKRaG6jK3kQkRDDJKyVJ3AAoMJ
PW+k9KeAONbkHo7sCkdFKh5ApTOhr8pzOuolChY+DBH63Wqrq1QljU+nC9Spr2Li
JqvRThKDmGLBTfzq+wW6cTBephwb/bsdyGDmDHRYHKzIC/M57t4gfmj0moHl6LhQ
owTdskuXzlTiFCb2R0g6wxDeYum4SxVCqQiuhvRcDpfAfg7pYK2QiVuBDBvqFlX0
uVSuCDB8kzrHh5Im/gJq+umhAzf/O/jq9Lt068vyOm8h76qWn/GsbPnswmSVDJTJ
7HQ0LuviWqy8K+1rr7nU
=ShfB
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#591193; Package src:adzapper. (Mon, 06 Dec 2010 17:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Mon, 06 Dec 2010 17:15:06 GMT) Full text and rfc822 format available.

Message #63 received at 591193@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Cameron Simpson <cs@zip.com.au>
Cc: 591193@bugs.debian.org, 591193-submitter@bugs.debian.org
Subject: Re: Replacing the bundled .swf files with source-available ones
Date: Mon, 6 Dec 2010 12:12:12 -0500 (EST)
Hi! Pardon the late reply. More comments inline:

On Wed, 17 Nov 2010, Cameron Simpson wrote:

> On 15Nov2010 20:52, Asheesh Laroia <paulproteus@debian.org> wrote:
> | There's a bug filed in Debian against adzapper because the SWF files
> | in the source tarball you ship don't have source code available. I'm
> | emailing you to explain the problem in further detail, and to
> | explain to you that we have a solution.
> |
> | Take a look at
> | http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=591193 , in
> | particular the comment toward the top by Gerfried Fuchs (Rhonda)
> | that explains what it means to have source for SWF files.
> |
> | Do you happen to have the .FLA or .AS files that were used to
> | generate the SWF files you have in the adzapper package?
>
> Alas, no. They were donated. I could find the author. I think...

If you could, then it'd be cool to get the original files' source. If not 
(see below)...

>
> | It's actually quite okay if not -- the extraordinary Chris Butler
> | submitted a patch to the adzapper package (toward the bottom of the
> | discussion) that uses a Perl library to generate the SWF files. So
> | if you want, you can use that recipe to regenerate the SWF files you
> | ship in your tarball.
> |
> | The reason I bring all this up is that since Debian is committed to
> | only shipping software compliant with the Debian Free Software
> | Guidelines, it's considered a release-critical bug if we package and
> | distribute things for which we do not have source code. So I wonder:
> |
> | Is this something where you'd be willing to do a new release that
> | uses SWF files generated by Chris Butler's code?
>
> Absolutely. As long as they closely resemble what's there now it's all
> good.

It seems that Debian has packaged a version already that uses Chris 
Butler's code. (Further discussioh sits at 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=591193 )

>
> | If you're willing to do that soon, then Debian will likely ship that
> | version in squeeze, the upcoming release. If not, then Debian will
> | likely carry a patch to use Chris's SWF files instead of the ones
> | that you distribute in the tarball.
> |
> | Hope you're well, and thanks for making and sharing adzapper!
>
> Sahll I grab his patch from the bug and update my sources?

I think that would be great.

> BTW, how are you staying up to date with this? I ask because SourceForge 
> broke my rsync-to-adzapper.sf.net and I haven't yet found a way to 
> update that page that doesn't involve a manual password entry for the 
> ssh:-(

In a pinch, you could try using 'expect' to automate typing the password, 
but that's a pretty sad situatiohn.

> In consequence the web page is somewhat out of date and I need to fix 
> that. I can punt you the latest zapper by hand if you want it, also.

That'd be useful, but I'm not the primary maintainer of adzapper. You 
should get in touch with that person, but if that doesn't work, I can step 
in as a last resort. (-:

I think that covers everything. Thanks for replying quickly!

-- Asheesh.

-- 
Lay on, MacDuff, and curs'd be him who first cries, "Hold, enough!".
		-- Shakespeare




Message sent on to Raphael Geissert <geissert@debian.org>:
Bug#591193. (Mon, 06 Dec 2010 17:15:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Jan 2011 07:37:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 08:01:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.